#44 Landsat 8 display features

open
nobody
None
1
2014-06-05
2014-05-27
Rohan Fisher
No

I am wondering if the SAGA development team is available prioritise work on some additional functionality for SAGA as a consultancy. I work at a small university in Northern Australia providing satellite derived fire information to land managers. I have developed some training material to allow them to open and visualize burnt areas using Landsat 8. (http://www.screencast.com/users/RohanIndo/playlists/SAGA%20FIRE)

However we are keen to simplify this process through automating a couple of steps, ie (1) importing landsat 8 (into WGS) and creating a RGB (B4, B5, B10) overlay display and (2) allowing a simple (right click) 1-99% histogram stretch based on view window.

I am confidant I could source some funds to support the development of this functionality if there was someone in your team available to look at it.

Also FYI I am placing a link to all the SAGA training material I am developing here: http://rohanfisher.wordpress.com/open-source-geo-spatial/

Related

Feature Requests: #44

Discussion

  • Hi,

    I can see some things we could do to facilitate the process, but some of the tasks seem to be quite special (having a (very) quick look at the screen casts). Could you please comment on the following questions:

    • why is the projection UTM North so that the datasets have to be re-projected to UTM South? This seems to be something quite special which couldn't be inferred from the data alone and wouldn't allow a generic solution for importing and creating a RGB overlay by a meta-module.

    • about the histogram stretch: do you expect this to be done only once for each band or do you expect that the stretch is applied each time the viewable map extent changes? From the video it seems like the stretch is only performed once. And, do the values 1-99% refer to the percentiles?

    In case we can rule out these things I think we could provide some development capacities for a donation to the project / SAGA User Group Association (-:

     
    • Rohan Fisher
      Rohan Fisher
      2014-06-06

      Hi Volker,

      Thanks for taking the time to look at this. With regards to your queries:

      1) I am no exactly sure why Landsat data from USGS is provided in Northern
      UTM. IT means that all Landsat imagery in the Southern Hemisphere does not
      project correctly without some transformation. Incorporating a auto
      re-projection to WGS format or to SUTM format with all data sets with
      northern coordinates < 0 would do the trick. (Alternative to a grid
      projection transform would be just add 10000000 to the northing values and
      redefine the grid as SUTM which would simply require changing the grid
      header values.)

      2) What I am thinking here is to enable a 1-99 percent histogram stretch
      based on grid values in the map window for all bands, used in a RGB overlay
      display, initiated by a right click on the RGB overlay . Similar to the fit
      grid colors to map
      feature but for the three RGB grids with the 1-99%
      clip option. Not for each time the window is moved, only when requested by
      a right click.

      Cheers - Rohan

      On Thu, Jun 5, 2014 at 11:08 PM, Volker Wichmann reklov_w@users.sf.net
      wrote:

      Hi,

      I can see some things we could do to facilitate the process, but some of
      the tasks seem to be quite special (having a (very) quick look at the
      screen casts). Could you please comment on the following questions:

      -

      why is the projection UTM North so that the datasets have to be
      re-projected to UTM South? This seems to be something quite special which
      couldn't be inferred from the data alone and wouldn't allow a generic
      solution for importing and creating a RGB overlay by a meta-module.
      -

      about the histogram stretch: do you expect this to be done only once
      for each band or do you expect that the stretch is applied each time the
      viewable map extent changes? From the video it seems like the stretch is
      only performed once. And, do the values 1-99% refer to the percentiles?

      In case we can rule out these things I think we could provide some
      development capacities for a donation to the project / SAGA User Group
      Association (-:


      Status: open
      Group: Next_Release_(example)
      Created: Tue May 27, 2014 11:52 PM UTC by Rohan Fisher
      Last Updated: Tue May 27, 2014 11:52 PM UTC
      Owner: nobody

      I am wondering if the SAGA development team is available prioritise work
      on some additional functionality for SAGA as a consultancy. I work at a
      small university in Northern Australia providing satellite derived fire
      information to land managers. I have developed some training material to
      allow them to open and visualize burnt areas using Landsat 8. (
      http://www.screencast.com/users/RohanIndo/playlists/SAGA%20FIRE)

      However we are keen to simplify this process through automating a couple
      of steps, ie (1) importing landsat 8 (into WGS) and creating a RGB (B4, B5,
      B10) overlay display and (2) allowing a simple (right click) 1-99%
      histogram stretch based on view window.

      I am confidant I could source some funds to support the development of
      this functionality if there was someone in your team available to look at
      it.

      Also FYI I am placing a link to all the SAGA training material I am
      developing here: http://rohanfisher.wordpress.com/open-source-geo-spatial/


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/saga-gis/feature-requests/44/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Rohan Fisher
      Research Institute of Environment and Livelihoods
      Charles Darwin University.

      Rohan Fisher @ Worpress http://rohanfisher.files.wordpress.com/

      Artisinal mining in eastern Indonesia http://asm4d.wordpress.com/

      Darwin Centre for Bushfires Research http://research.firenorth.org.au/

      SMS for Health information in Eastern Indonesia
      http://healthpslp.cdu.edu.au/SMS/

       

      Related

      Feature Requests: #44

    • Rohan Fisher
      Rohan Fisher
      2014-06-30

      Hi Volker, just a quick follow up on this feature request and wondering if
      you have had some time to look at it. Wondering if I could follow up a chat
      about this with you directly, ie not through the open forum, to discuss how
      a donation to the project / SAGA User Group Association would work best.
      I'll be at a North Australian fire managers meeting next week and will
      mention this burnt area work using SAGA.

      Cheers

      On Fri, Jun 6, 2014 at 12:38 AM, Volker Wichmann reklov_w@users.sf.net
      wrote:

      Hi,

      I can see some things we could do to facilitate the process, but some of
      the tasks seem to be quite special (having a (very) quick look at the
      screen casts). Could you please comment on the following questions:

      -

      why is the projection UTM North so that the datasets have to be
      re-projected to UTM South? This seems to be something quite special which
      couldn't be inferred from the data alone and wouldn't allow a generic
      solution for importing and creating a RGB overlay by a meta-module.
      -

      about the histogram stretch: do you expect this to be done only once
      for each band or do you expect that the stretch is applied each time the
      viewable map extent changes? From the video it seems like the stretch is
      only performed once. And, do the values 1-99% refer to the percentiles?

      In case we can rule out these things I think we could provide some
      development capacities for a donation to the project / SAGA User Group
      Association (-:


      Status: open
      Group: Next_Release_(example)
      Created: Tue May 27, 2014 11:52 PM UTC by Rohan Fisher
      Last Updated: Tue May 27, 2014 11:52 PM UTC
      Owner: nobody

      I am wondering if the SAGA development team is available prioritise work
      on some additional functionality for SAGA as a consultancy. I work at a
      small university in Northern Australia providing satellite derived fire
      information to land managers. I have developed some training material to
      allow them to open and visualize burnt areas using Landsat 8. (
      http://www.screencast.com/users/RohanIndo/playlists/SAGA%20FIRE)

      However we are keen to simplify this process through automating a couple
      of steps, ie (1) importing landsat 8 (into WGS) and creating a RGB (B4, B5,
      B10) overlay display and (2) allowing a simple (right click) 1-99%
      histogram stretch based on view window.

      I am confidant I could source some funds to support the development of
      this functionality if there was someone in your team available to look at
      it.

      Also FYI I am placing a link to all the SAGA training material I am
      developing here: http://rohanfisher.wordpress.com/open-source-geo-spatial/


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/saga-gis/feature-requests/44/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Rohan Fisher
      Research Institute of Environment and Livelihoods
      Charles Darwin University.

      Rohan Fisher @ Worpress http://rohanfisher.files.wordpress.com/

      Artisinal mining in eastern Indonesia http://asm4d.wordpress.com/

      Darwin Centre for Bushfires Research http://research.firenorth.org.au/

      SMS for Health information in Eastern Indonesia
      http://healthpslp.cdu.edu.au/SMS/

       

      Related

      Feature Requests: #44

      • Hi Rohan,

        yes, I had a look and thanks for the information. Sorry that I didn't reply earlier, but I'm quite busy at the moment. Olaf has already implemented some features, others have still to be done. I'm meeting Olaf this week at the AGIT conference and I think we will find some time to discuss this further. So I am out of office for the rest of the week, but you can contact me via the sourceforge mail and then we can share private email for further contact.

        Best regards,
        Volker